1. Stefan Saasen
  2. git

Commits

Linus Torvalds  committed 51cb06c

Add "git-push-script" to make a more regular interface

It only does local and ssh pushes, because it's really just a wrapper
for git-send-pack. We might make it do an rsync mirror or something, of
course.

  • Participants
  • Parent commits 584c6cc
  • Branches master

Comments (0)

Files changed (3)

File Makefile

View file
  • Ignore whitespace
 	git-log-script git-shortlog git-cvsimport-script git-diff-script \
 	git-reset-script git-add-script git-checkout-script git-clone-script \
 	gitk git-cherry git-rebase-script git-relink-script git-repack-script \
-	git-format-patch-script git-sh-setup-script
+	git-format-patch-script git-sh-setup-script git-push-script
 
 PROG=   git-update-cache git-diff-files git-init-db git-write-tree \
 	git-read-tree git-commit-tree git-cat-file git-fsck-cache \

File git-push-script

View file
  • Ignore whitespace
+#!/bin/sh
+. git-sh-setup-script || die "Not a git archive"
+git-send-pack "$@"

File git-sh-setup-script

  • Ignore whitespace
File contents unchanged.